=== modified file 'lib/lp/app/stories/basics/notfound-error.txt'
--- lib/lp/app/stories/basics/notfound-error.txt	2011-05-27 21:10:20 +0000
+++ lib/lp/app/stories/basics/notfound-error.txt	2011-09-12 21:23:06 +0000
@@ -19,7 +19,8 @@
     >>> main_content = find_main_content(page_with_referer)
     >>> for paragraph in main_content('p'):
     ...     print extract_text(paragraph)
-    There&#8217;s no page with this address in Launchpad.
+    This page does not exist, or you may not have permission to see it.
+    If you have been to this page before, it is possible it has been removed.
     If you got here from a link elsewhere on Launchpad...
     Otherwise, complain to the maintainers of the page that linked here.
     If this is blocking your work...

=== modified file 'lib/lp/app/templates/launchpad-forbidden-macros.pt'
--- lib/lp/app/templates/launchpad-forbidden-macros.pt	2011-05-27 20:26:32 +0000
+++ lib/lp/app/templates/launchpad-forbidden-macros.pt	2011-08-31 16:00:31 +0000
@@ -6,9 +6,11 @@
   <p>
     Sorry, you don't have permission to access this page.
   </p>
-  <p tal:condition="request/lp:person">
+  <div tal:condition="request/lp:person">
+  <p>
     You are logged in as <span tal:content="request/lp:person/title" />.
   </p>
+  </div>
   <p tal:condition="not: request/lp:person">
     You are not logged in.
   </p>

=== modified file 'lib/lp/app/templates/launchpad-notfound.pt'
--- lib/lp/app/templates/launchpad-notfound.pt	2011-05-27 20:26:32 +0000
+++ lib/lp/app/templates/launchpad-notfound.pt	2011-08-31 16:00:31 +0000
@@ -9,14 +9,20 @@
   <body>
     <div class="top-portlet" metal:fill-slot="main">
       <h1>Lost something?</h1>
-      <p>There&#8217;s no page with this address in Launchpad.</p>
+      <p>
+      This page does not exist, or you may not have permission to see it.  
+      </p> 
+
+      <p>
+      If you have been to this page before, it is possible it has been removed.
+      </p>
       <tal:referred condition="view/referrer">
         <p>
           If you got here from a link elsewhere on Launchpad,
           sorry about that.
           We&#8217;ve recorded the problem,
           and we&#8217;ll fix it as soon as we can.
-        </p>
+        </p> 
         <p>
           Otherwise, complain to the maintainers of the page that linked here.
         </p>
@@ -32,7 +38,8 @@
         </p>
       </tal:referred>
       <p tal:condition="not:view/referrer">
-        Check that you entered the address correctly, or search for it:
+      Check that you are logged in with the correct acount, or that you
+      entered the address correctly, or search for it:
       </p>
       <form
         tal:attributes="action string:${rooturl}+search"

